Bug 102897 - Yarr JIT isn't big endian compatible
Summary: Yarr JIT isn't big endian compatible
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-21 01:15 PST by Tobias Netzel
Modified: 2013-01-22 10:36 PST (History)
4 users (show)

See Also:


Attachments
make generatePatternCharacterOnce do it right on big endian platforms (2.44 KB, patch)
2012-11-21 01:27 PST, Tobias Netzel
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Netzel 2012-11-21 01:15:36 PST
generatePatternCharacterOnce doesn't work on big endian platforms.
Comment 1 Tobias Netzel 2012-11-21 01:27:13 PST
Created attachment 175371 [details]
make generatePatternCharacterOnce do it right on big endian platforms
Comment 2 Tobias Netzel 2013-01-17 01:50:30 PST
Is there anything I can do in order to get some feedback by someone?
Comment 3 WebKit Review Bot 2013-01-22 10:36:22 PST
Comment on attachment 175371 [details]
make generatePatternCharacterOnce do it right on big endian platforms

Clearing flags on attachment: 175371

Committed r140438: <http://trac.webkit.org/changeset/140438>
Comment 4 WebKit Review Bot 2013-01-22 10:36:25 PST
All reviewed patches have been landed.  Closing bug.